︠066e9972-89b2-49d5-8b5b-2a65905c5e29i︠
%md
### Courbes paramétrées

Étant donné un intervalle $I\subseteq \mathbb{R}$ et une fonction ${\bm \gamma} : I \to \mathbb{R}^n$ son image est une courbe dans $\mathbb{R}^n$.

 - La fonction ${\bm \gamma}$ est une paramétrisation de la courbe ${\mathcal C}$
 - Il peut avoir d'autres paramétrisations qui donnent lieu à la même courbe.

On va voir comment tracer quels courbes avec SAGEmathCloud.

#### Exemple 1
Considérons la courbe ${\bm \gamma}(t)=(\cos(2t), \sin(t))$, il s'agit d'une courbe plane.


︡0bfd8795-67f9-4dca-9ada-28a49bc87a04︡{"done":true,"md":"### Courbes paramétrées\n\nÉtant donné un intervalle $I\\subseteq \\mathbb{R}$ et une fonction ${\\bm \\gamma} : I \\to \\mathbb{R}^n$ son image est une courbe dans $\\mathbb{R}^n$.\n\n - La fonction ${\\bm \\gamma}$ est une paramétrisation de la courbe ${\\mathcal C}$\n - Il peut avoir d'autres paramétrisations qui donnent lieu à la même courbe.\n\nOn va voir comment tracer quels courbes avec SAGEmathCloud.\n\n#### Exemple 1\nConsidérons la courbe ${\\bm \\gamma}(t)=(\\cos(2t), \\sin(t))$, il s'agit d'une courbe plane."}
︠79013b99-26f9-4811-954c-3632b9bfc767s︠
var('t')
Courbe = parametric_plot([cos(2*t),sin(4*t)],(t,0,2*pi), color='blue', thickness = 2)
show(Courbe)
︡486279bd-956f-420d-9fe4-25bdf9dcd9fe︡{"stdout":"t\n"}︡{"file":{"filename":"/projects/5f7308b9-2961-476d-840c-ab53b74c25d8/.sage/temp/compute3-us/2813/tmp_DBrr2u.svg","show":true,"text":null,"uuid":"c25bc440-c97d-426d-8f6a-b99127a2898e"},"once":false}︡{"done":true}︡
︠67ae122c-5060-4711-8969-bd784a6d603ei︠
%md
### Exemple 2
Considérons maintenant une courbe dans l'espace ${\bm \gamma}(t)=(t,t^2,t^3)$
︡a22d979f-67ac-45b5-aa65-595fdf06ff05︡{"done":true,"md":"### Exemple 2\nConsidérons maintenant une courbe dans l'espace ${\\bm \\gamma}(t)=(t,t^2,t^3)$"}
︠0060e159-3619-435f-b824-669a69047ba7s︠
Courbe = parametric_plot3d([t,t^2, t^3],(t,-2,2),color='red', thickness=3)
show(Courbe)
︡9d0b2520-9a24-4d44-b26c-3db32467dec4︡{"file":{"filename":"b6a5790c-01f1-4c04-b1cd-6592b5c824a9.sage3d","uuid":"b6a5790c-01f1-4c04-b1cd-6592b5c824a9"}}︡{"done":true}︡
︠a7d511dd-88ee-458b-812e-a42aa25bfe74i︠
%md
### Remarques :
Cette courbe est l'intersection de deux surfaces :

- Le cylindre parabolique $y=x^2$,
- Le cylindre cubique $z= x^3$.

En cas de besoin, posez la question sur ce qu'un **cylindre parabolique** est.

Voici les deux surfaces en question, avec le courbe d'intersection. Pour tracer les surfaces, on a utilisé des paramétrisations. Ceci fera l'objet d'un chapitre ultérieur.
︡0776ba01-3aea-48ff-b769-55bfa89f13eb︡{"done":true,"md":"### Remarques :\nCette courbe est l'intersection de deux surfaces :\n\n- Le cylindre parabolique $y=x^2$,\n- Le cylindre cubique $z= x^3$.\n\nEn cas de besoin, posez la question sur ce qu'un **cylindre parabolique** est.\n\nVoici les deux surfaces en question, avec le courbe d'intersection. Pour tracer les surfaces, on a utilisé des paramétrisations. Ceci fera l'objet d'un chapitre ultérieur."}
︠2d3149e0-43b4-4450-80fe-2d4990caa77fs︠
var('u,v')
Cyl=parametric_plot3d((u,u^2,v),(u,-2,2),(v,-8,8), color='blue', opacity=0.35)
Surf = parametric_plot3d((u,v,u^3),(u,-2,2),(v,0,4),color='green',opacity=0.35)
show(Cyl+Surf+Courbe, frame_aspect_ratio = [4,4,1])
︡d5e2451a-3eda-45b5-a4f7-f72bc5c4056f︡{"stdout":"(u, v)\n"}︡{"file":{"filename":"3709d1ce-77e9-411a-9fb5-c635ec87c3c0.sage3d","uuid":"3709d1ce-77e9-411a-9fb5-c635ec87c3c0"}}︡{"done":true}︡
︠252c1fb7-ace5-43a2-9afa-7422cf13f411︠

︡2760c190-9b2a-45c1-aeaa-ce00386fc3a4︡
︠db8286d6-d487-47d0-9c02-d38b03b423c0i︠
%md
### Exemple 3
Il y a des fonctions qui peuvent poser problème : une intégrale qu'on ne peut évaluer analytiquement, par exemple. Un exemple typique serait quelque chose comme la courbe dont l'équation serait $\displaystyle y(x) = \int_{0}^x e^{-u^2} {\rm d}u$. La primitive n'existe pas, mais ça ne devrait pas nous obliger à nous passer de la courbe. Une façon de procéder serait de définir une fonction séparément, qui tienne compte du fait que l'on veut une intégration numérique, puis utiliser cette fonction pour le graphique.
︡3285fb8e-103e-49c9-b51c-501e72b0bbd7︡{"md":"### Exemple 3\nIl y a des fonctions qui peuvent poser problème : une intégrale qu'on ne peut évaluer analytiquement, par exemple. Un exemple typique serait quelque chose comme la courbe dont l'équation serait $\\displaystyle y(x) = \\int_{0}^x e^{-u^2} {\\rm d}u$. La primitive n'existe pas, mais ça ne devrait pas nous obliger à nous passer de la courbe. Une façon de procéder serait de définir une fonction séparément, qui tienne compte du fait que l'on veut une intégration numérique, puis utiliser cette fonction pour le graphique.\n"}︡
︠90f707f5-eaad-4694-be0f-64b6941fb7d5s︠

var('t,u')
def y(t):
	return integral_numerical(e^(-u^2)/sqrt(2*pi),0,t)[0]+1/2

︡31921271-8240-44b5-b01b-0b4c613873eb︡{"stdout":"(t, u)\n"}︡{"done":true}︡
︠cb759d61-785a-4306-8c4e-e05c808b2609s︠
def x(t):
	return t

︡0c20883f-92a4-44a1-b171-67c2fed5a183︡{"done":true}︡
︠184be1e1-890b-4017-bb38-8d91d87370b8s︠
y(1)
︡9a64f05c-06b3-4b27-9bfe-894de46d01f3︡{"stdout":"0.797939722603012\n"}︡{"done":true}︡
︠8e7a9641-3476-44d7-8d57-8ad9642bd94bs︠
Courbe = parametric_plot((x,y),(-5,5),color='blue', thickness=2)
show(Courbe,aspect_ratio=5)
︡5002d86a-3c18-41f2-8f07-333542ddba60︡{"file":{"filename":"/projects/5f7308b9-2961-476d-840c-ab53b74c25d8/.sage/temp/compute3-us/2813/tmp_lclCEg.svg","show":true,"text":null,"uuid":"6c9186da-0d25-4c14-b7b3-2be564bd37d5"},"once":false}︡{"done":true}︡
︠69adc712-adb1-4daf-b158-880a282b0f83i︠
%md
## Exemple : la spirale de Cornu

Il s'agit de la courbe donnée par le chemin $\displaystyle x(t) = \int_0^t  \cos \frac{\pi u^2}{2} {\rm d}u $ et $\displaystyle y(t) = \int_0^t  \sin \frac{\pi u^2}{2} {\rm d}u $.
Ces intégrales ne peuvent pas être évaluées analytiquement, mais on va tracer la courbe quand même.

︡c5800569-c896-4d4d-8df4-045d28f35312︡{"done":true,"md":"## Exemple : la spirale de Cornu\n\nIl s'agit de la courbe donnée par le chemin $\\displaystyle x(t) = \\int_0^t  \\cos \\frac{\\pi u^2}{2} {\\rm d}u $ et $\\displaystyle y(t) = \\int_0^t  \\sin \\frac{\\pi u^2}{2} {\\rm d}u $. \nCes intégrales ne peuvent pas être évaluées analytiquement, mais on va tracer la courbe quand même."}
︠89f8630f-86a7-4b49-ad49-1192a3cc74a8s︠
var('t,u')
def x(t):
    return integral_numerical(cos(pi*u^2/2),0,t)[0]
︡203c0dcb-c12b-41b5-96c9-a8421fd8f021︡{"stdout":"(t, u)\n"}︡{"done":true}︡
︠da7682f3-8c1a-43b1-87f0-d2c841cf5e15s︠
def y(t):
    return integral_numerical(sin(pi*u^2/2),0,t)[0]
︡cacf268c-e776-4c94-85e3-ee6270b1cf43︡{"done":true}︡
︠d1606323-923b-4612-82bc-1fe9a846755ai︠
%md
### Première méthode :
Une liste de points, puis les segments les joignant. Ici on divise l'intervalle $[-\pi, \pi]$ en 200 sous intervalles
︡a2fe1c8e-2923-48a2-bf90-a29ac307137b︡{"done":true,"md":"### Première méthode : \nUne liste de points, puis les segments les joignant. Ici on divise l'intervalle $[-\\pi, \\pi]$ en 200 sous intervalles"}
︠e7395ee0-1562-484a-a852-b023f25a8f2fs︠
Points = [(x(t),y(t)) for t in sxrange(-pi,pi,2*pi/200)]
line(Points).show(figsize=[5, 5],aspect_ratio=1)
︡e07f7464-108e-4348-8518-5c0bed0c0b4e︡{"file":{"filename":"/projects/5f7308b9-2961-476d-840c-ab53b74c25d8/.sage/temp/compute3-us/2813/tmp_Y0BBTp.svg","show":true,"text":null,"uuid":"7160ecb4-1ff3-4526-aeeb-38c673aae2db"},"once":false}︡{"done":true}︡
︠bd40cbc2-6596-4cd2-9d06-ca2f1bf1bf89s︠
p = parametric_plot((x,y),(-pi,pi))
show(p)
︡d1fc0d49-fb8e-46d8-888f-cde987469831︡{"file":{"filename":"/projects/5f7308b9-2961-476d-840c-ab53b74c25d8/.sage/temp/compute3-us/2813/tmp_1YkC9f.svg","show":true,"text":null,"uuid":"a81756de-0fc3-405a-b9b1-ce9e9e44b90a"},"once":false}︡{"done":true}︡
︠a63838fd-4c09-4ee5-af03-433509d14d37︠









